Package org.apache.ignite.internal.processors.platform.client

## Interface ClientOutgoingMessage

All Known Implementing Classes:
  `ClientAsyncResponse`, `ClientBinaryConfigurationGetResponse`, `ClientBinaryTypeGetResponse`, `ClientBooleanResponse`, `ClientByteResponse`, `ClientCacheEntryEventNotification`, `ClientCacheGetConfigurationResponse`, `ClientCacheGetNamesResponse`, `ClientClusterGroupGetNodeIdsResponse`, `ClientClusterGroupGetNodesDetailsResponse`, `ClientClusterGroupGetNodesEndpointsResponse`, `ClientExecuteTaskResponse`, `ClientIntResponse`, `ClientLongResponse`, `ClientNotification`, `ClientObjectNotification`, `ClientObjectResponse`, `ClientResponse`, `ClientServiceDescriptorResponse`, `ClientServiceDescriptorsResponse`, `ClientServiceMappingsResponse`, `ClientStringResponse`

    public interface ClientOutgoingMessage

Thin client outgoing message (from server to client).

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `encode​(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the message data.

### Method Detail

#### encode

    void encode​(ClientConnectionContext ctx,
                BinaryRawWriterEx writer)

Encodes the message data.

Parameters:
  `ctx` - Connection context.
  `writer` - Writer.